apiVersion: v1
data:
  kbs-config.json: |
    {
      "insecure_http" : true,
      "sockets": ["0.0.0.0:8080"],
      "auth_public_key": "/etc/auth-secret/publicKey",
      "attestation_token_config": {
        "attestation_token_type": "CoCo"
      },
      "repository_config": {
        "type": "LocalFs",
        "dir_path": "/opt/confidential-containers/kbs/repository"
      },
      "as_config": {
        "work_dir": "/opt/confidential-containers/attestation-service",
        "policy_engine": "opa",
        "attestation_token_broker": "Simple",
          "attestation_token_config": {
          "duration_min": 5
          },
        "rvps_config": {
          "store_type": "LocalJson",
          "store_config": {
            "file_path": "/opt/confidential-containers/rvps/reference-values/reference-values.json"
          }
        }
      },
      "policy_engine_config": {
        "policy_path": "/opt/confidential-containers/opa/policy.rego"
      }
    }
kind: ConfigMap
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","data":{"kbs-config.json":"{\n  \"insecure_http\" : true,\n  \"sockets\": [\"0.0.0.0:8080\"],\n  \"auth_public_key\": \"/etc/auth-secret/publicKey\",\n  \"attestation_token_config\": {\n    \"attestation_token_type\": \"CoCo\"\n  },\n  \"repository_config\": {\n    \"type\": \"LocalFs\",\n    \"dir_path\": \"/opt/confidential-containers/kbs/repository\"\n  },\n  \"as_config\": {\n    \"work_dir\": \"/opt/confidential-containers/attestation-service\",\n    \"policy_engine\": \"opa\",\n    \"attestation_token_broker\": \"Simple\",\n      \"attestation_token_config\": {\n      \"duration_min\": 5\n      },\n    \"rvps_config\": {\n      \"store_type\": \"LocalJson\",\n      \"store_config\": {\n        \"file_path\": \"/opt/confidential-containers/rvps/reference-values/reference-values.json\"\n      }\n    }\n  },\n  \"policy_engine_config\": {\n    \"policy_path\": \"/opt/confidential-containers/opa/policy.rego\"\n  }\n}\n"},"kind":"ConfigMap","metadata":{"annotations":{},"name":"kbs-config-cm","namespace":"trustee-operator-system"}}
  creationTimestamp: "2024-12-04T19:28:38Z"
  name: kbs-config-cm
  namespace: trustee-operator-system
  resourceVersion: "148826"
  uid: 975d67d7-0bb8-494a-a81d-61b3f956e7b2
